.carrusel {
  width: 100%;
  aspect-ratio: 16 / 9;
  overflow: hidden;
  border: 2px solid #ccc;
  border-radius: 10px;
  margin-left: 0px;
  margin-top: 100px;
}

.carrusel-contenedor {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

.carrusel-imagenes {
  display: flex;
  width: 100%; /* 5 imágenes => 5 * 100% */
  animation: deslizar 20s infinite linear;
  height: 100%;
}

.carrusel-imagenes img {
  flex: 0 0 100%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@keyframes deslizar {
  0%   { transform: translateX(0%); }
  20%  { transform: translateX(-100%); }
  40%  { transform: translateX(-200%); }
  60%  { transform: translateX(-300%); }
  80%  { transform: translateX(-400%); }
  100% { transform: translateX(0%); }
}


.pausado .carrusel-imagenes {
  animation-play-state: paused;
}

.ilustracion img{
  width: 100%;
  max-width: 400px;
  height: auto;
  display: block;
  margin: 0 auto;
}

